Bug 1283795 - Automate | Fix issue where the old Infrastructure quota instance points to new quota.
Automate | Fix issue where the old Infrastructure quota instance points to ne...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity low
: GA
: 5.5.0
Assigned To: Tina Fitzgerald
Kyrylo Zvyagintsev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 17:07 EST by Tina Fitzgerald
Modified: 2015-12-08 08:49 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:49:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tina Fitzgerald 2015-11-19 17:07:32 EST
The old quota classes for infrastructure and cloud were left in the automate model for backward compatibility. The old infrastructure quota "Default" instance was mistakenly pointing to the new consolidated quota. Need to remove the "Default" instance value so class schema value will be used.
Comment 3 CFME Bot 2015-11-20 08:25:21 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a436f005d1c9c4eaaa4736fd45640566e08f0339

commit a436f005d1c9c4eaaa4736fd45640566e08f0339
Author:     Tina Fitzgerald <tfitzger@redhat.com>
AuthorDate: Thu Nov 19 17:10:46 2015 -0500
Commit:     Tina Fitzgerald <tfitzger@redhat.com>
CommitDate: Thu Nov 19 17:10:46 2015 -0500

    Remove Default instance values so class schema values will be used.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1283795

 .../ProvisionRequestQuotaVerification.class/default.yaml             | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)
Comment 4 CFME Bot 2015-11-20 13:08:33 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=ed54b64c314d8959051438705fd7f34c40f9d223

commit ed54b64c314d8959051438705fd7f34c40f9d223
Author:     Tina Fitzgerald <tfitzger@redhat.com>
AuthorDate: Thu Nov 19 17:10:46 2015 -0500
Commit:     Tina Fitzgerald <tfitzger@redhat.com>
CommitDate: Fri Nov 20 11:01:16 2015 -0500

    Remove Default instance values so class schema values will be used.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1283795

 .../ProvisionRequestQuotaVerification.class/default.yaml             | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)
Comment 5 CFME Bot 2015-11-20 13:08:39 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=5bb027231f3f00ce2d798e6b9dd975f28f856eba

commit 5bb027231f3f00ce2d798e6b9dd975f28f856eba
Merge: 651e448 ed54b64
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Nov 20 12:17:54 2015 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Fri Nov 20 12:17:54 2015 -0500

    Merge branch 'old_quota_instance_cherry_pick' into '5.5.z'
    
    Remove Default instance values so class schema values will be used.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1283795
    
    https://github.com/ManageIQ/manageiq/pull/5535
    
    Clean cherry-pick.
    
    See merge request !512

 .../ProvisionRequestQuotaVerification.class/default.yaml             | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)
Comment 6 Tina Fitzgerald 2015-11-23 11:01:55 EST
Fix Validation:

Using the Automate Explorer, open the
/ManageIQ/Infrastructure/VM/Provisioning/StateMachines/ProvisionRequestQuotaValidation/Default instance, validatequota state contents. 

before:
value: /System/CommonMethods/Quota/vm_quota
on_entry: #

after:
value: <blank>
on_entry: no # (this will allow the class schema value of validate_quotas)
Comment 9 errata-xmlrpc 2015-12-08 08:49:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.